Bug 1751189 - NM in initramfs - dracut arguments for boot/root on iSCSI are not passed to installed system
Summary: NM in initramfs - dracut arguments for boot/root on iSCSI are not passed to i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Radek Vykydal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-11 11:21 UTC by Radek Vykydal
Modified: 2019-10-02 00:47 UTC (History)
7 users (show)

Fixed In Version: anaconda-31.22.5-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-02 00:47:33 UTC
Type: Bug


Attachments (Terms of Use)

Description Radek Vykydal 2019-09-11 11:21:25 UTC
With NM in initramfs ifcfg files for connections from ibft in initramfs are not created anymore and therefore creating (by anaconda) dracut arguments for target system network configuration in initramfs for storage on iSCSI does not work anymore.

Anaconda needs to create these options based on NM connections.

Comment 1 Radek Vykydal 2019-09-11 11:23:30 UTC
See also bug 1749331.

Comment 2 Radek Vykydal 2019-09-11 11:35:02 UTC
https://github.com/rhinstaller/anaconda/pull/2125

Comment 3 Fedora Update System 2019-09-25 15:57:01 UTC
FEDORA-2019-448da09d7e has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-448da09d7e

Comment 4 Fedora Update System 2019-09-26 02:56:09 UTC
anaconda-31.22.5-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-448da09d7e

Comment 5 Fedora Update System 2019-10-02 00:47:33 UTC
anaconda-31.22.5-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.